/* Todays Callers REXX prg          */
/* This program uses AtEnd.Cmd      */
/*                                  */
/* 3-5-95  Julie Strietelmeier      */
/*                                  */
/*  1:231/1310  Fidonet             */
/*  julie@cel.cummins.com           */


ARG line
/* Initialize variables.  Change callfile to reflect your path to Adept */
/* If you change the file name tcall.asc, do this in the AtEnd.cmd also */

today = DATE("U")
callfile = 'c:\adept\text\tcall.asc'
no_lines = adeptgetvar(line,46)
header = 5
page = no_lines
no_lines = no_lines - header
count = 0

/* Make a header for the bulletin                                       */

AdeptCls(line)
AdeptPrint(line,'{FF               Fret Board Callers for 'today'\r\n')
AdeptPrint(line,' \r\n')
AdeptPrint(line,'{F3      Name                      From\r\n')
AdeptPrint(line,'{F4___________________________________________________________\r\n')

/* Routine to display the tcall.asc file                                */
/* This will display a certain number of lines to the caller depending  */
/* on what they have set their screen lines to.                         */
/* I did this so that if your tcall.asc gets large, it won't scroll off */
/* the screen                                                           */

check = lines(callfile)
DO WHILE check > 0
	entry = linein(callfile)
	AdeptPrint(line,entry'\r\n')
	count = count + 1
	no_lines = no_lines - 1
		if no_lines = 0 then do
		AdeptHitReturn(line)
		no_lines = page
	end
	check = lines(callfile)
end
AdeptPrint(line,'\r\n')
AdeptPrint(line,'{F7	  Total Calls = 'count'\r\n')
AdeptHitReturn(line)
 
