/* This is run when a user logs off */
/* 	This script adds a line to  */
/*      to the tcall.asc file with  */
/*      the name and location of    */
/*      the last caller             */
/*                                  */
/* 3-5-95  Julie Strietelmeier      */
/*                                  */
/*  1:231/1310  Fidonet             */
/*  julie@cel.cummins.com           */

ARG line

/* Change this next line to reflect the drive where Adept is located */
/* Don't change tcall.asc file name unless you want to change it in  */
/* the callers.cmd REXX script also                                  */

asciifile = 'c:\adept\text\tcall.asc'

/* Get the name, city and state from Adept                           */

name = adeptgetvar(line,1)
city = adeptgetvar(line,6)
state = adeptgetvar(line,7)

/* Format a line that can be written to the tcall.asc file and then  */
/* write it                                                          */

if line = 1 then do
	c1 = insert(name,'',6,30)
	c2 = insert(city,c1,32,20)
	c3 = insert(state,c2,50,2)
	caller = lineout(asciifile,c3)
end
